# Pass Micro Transaction

https://developer.pass.mn/

## Platform Support

| Android |  iOS  | MacOS |  Web  | Linux | Windows |
| :-----: | :---: | :---: | :---: | :---: | :-----: |
|✔️|WIP|TODO|TODO|TODO|TODO|


## 🔨 Installation
```yaml
dependencies:
  pass_mtx: ^0.0.13
```

### ⚙ Import

```dart
import 'package:pass_mtx/pass_mtx.dart';
```

## 🕹️ Usage/Example

```dart
  // Get Pass API Status
  getPassPing();

  // Get Pass Version Info
  getPassVersion();

  // Initalize AppID ClientID, PrivateKey, PublicKey,
  init(String appId, String clientId, String privatePem, String publicPem);

  // Get card token by UserID
  getCard(String userId);

  // Saving user card info
  saveCard(String userId, String szPan, String cvv, String expDate, String cardHolderName);
  
  // Verify Card
  verifyCard(String userId, String verificationMethod, String verificationValue)

  // Delete User card
  deleteCard(String userId);

  // Make Pass Purchase
  makePassPurchase( String userId, String orderId, String paymentToken, String expDate, String paymentAmount, String dbRefNo, String description)
```

## 📃 License

```go
/*
###############################################################################
#                                                                             #
#                     DATABANK CONFIDENTIAL AND PROPRIETARY                   #
#                                                                             #
#                     COPYRIGHT (C) DATABANK LLC since 2017                   #
#                                                                             #
#      ALL RIGHTS RESERVED BY DATABANK LLC.  THIS PROGRAM MUST BE             #
#    USED SOLELY FOR THE PURPOSE FOR WHICH IT WAS FURNISHED BY DATABANK LLC.  #
#   NO PART OF THIS PROGRAM MAY BE REPRODUCED OR DISCLOSED TO OTHERS, IN ANY  #
#        FORM, WITHOUT THE PRIOR WRITTEN PERMISSION OF DATABANK LLC.          #
#                                                                             #
#     USE OF COPYRIGHT NOTICE DOES NOT EVIDENCE PUBLICATION OF THE PROGRAM.   #
#                                                                             #
#                     DATABANK CONFIDENTIAL AND PROPRIETARY                   #
#                                                                             #
###############################################################################
*/
```